%define name         seal
%define version      1.07
%define src_version  107
%define release      %mkrel 1
%define summary      Synthetic Audio Library software development kit

%define libname_orig lib%{name}
%define libname      %mklibname %{name} 1

Name:               %name
Version:            %version
Release:            %release
Summary:            %summary 
Group:              System/Libraries
License:            LGPL
URL:                http://linux.tlk.fr/
Source:             http://files1.sonicspot.com/sealsdk/%{name}%{src_version}.tar.bz2
# from Debian
Patch:              seal_1.07-11.diff.bz2
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:                %{libname} = %{version}

%description
Synthetic Audio Library Software Developers Kit (SEAL SDK) lets you
write applications that are able to play digital audio waveforms and
music modules on many platforms. It provides low-latency mixing,
hardware acceleration and dynamic digital filtering for improved sound
quality. The SDK includes the SEAL API header and library files, SEAL
audio library source code files (commercial license), a set of example
source code files and HTML documentation.


%package -n %{libname}
Summary:    Seal library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Seal library.

%package -n %{libname}-devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Seal development package: static libraries, header files, and the like.


%prep
%setup -q
%patch0 -p1 -b .debian

%build
cd src
%make linux

%install
rm -rf $RPM_BUILD_ROOT

install -d -m0755 %{buildroot}%{_bindir} \
                  %{buildroot}%{_libdir} \
                  %{buildroot}%{_includedir}
install -m0755 src/mp %{buildroot}%{_bindir}/
install -m0755 lib/Linux/* %{buildroot}%{_libdir}/
install -m0644 src/audio.h %{buildroot}%{_includedir}/seal.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE.TXT README.TXT doc/man.html
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE.TXT
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/seal.h
%{_libdir}/*.a


%changelog
* Mon Mar 06 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.07-1mdk
- first spec for Mandriva
- modify spec written by Dag Wieers <dag@wieers.com>
